API ReferenceapiintegrationsPOST /v1/stream/webhooks

POST /v1/stream/webhooks

Service: integrations · operationId: (none)

Required scopes

(no scope declared — review service config)

Responses

202 Webhook accepted

{
  "type": "object",
  "properties": {
    "received": {
      "type": "boolean",
      "enum": [
        true
      ]
    },
    "eventType": {
      "type": "string"
    }
  },
  "required": [
    "received",
    "eventType"
  ]
}

401 Webhook signature invalid

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

412 Webhook secret not configured

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Event publication failed

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://integrations.platform.loop.health/v1/stream/webhooks \
  -H "Authorization: Bearer $ACCESS_TOKEN"